Webhooks
輪換密鑰
為 Webhook 生成新的簽名密鑰。舊密鑰將立即失效。
POST
/
api
/
v1
/
webhooks
/
{id}
/
rotate-secret
輪換密鑰
curl --request POST \
--url https://api.example.com/api/v1/webhooks/{id}/rotate-secretimport requests
url = "https://api.example.com/api/v1/webhooks/{id}/rotate-secret"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/v1/webhooks/{id}/rotate-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/webhooks/{id}/rotate-secret",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/webhooks/{id}/rotate-secret"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/webhooks/{id}/rotate-secret")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/webhooks/{id}/rotate-secret")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body路徑參數
string
必填
Webhook 的 UUID。
行為說明
生成一個經密碼學隨機算法產生的 32 字節十六進制簽名密鑰,以靜態加密方式(AES-256-GCM)存儲,並立即使舊密鑰失效。之後的所有投遞都將使用新密鑰進行簽名。 請在輪換後立即更新你的驗證代碼 —— 任何仍在傳輸中、以舊密鑰簽名的投遞,都將在你這一端驗證失敗。示例
curl -X POST https://www.hitheo.ai/api/v1/webhooks/WEBHOOK_ID/rotate-secret \
-H "Authorization: Bearer $THEO_API_KEY"
響應
{
"id": "a1b2c3d4-...",
"signing_secret": "new_secret_hex_here...",
"_note": "Save the new signing_secret — it will not be shown again. The old secret is now invalid."
}
新密鑰只會顯示一次。如果丟失,你需要再次執行輪換。
這個頁面有幫助嗎?
輪換密鑰
curl --request POST \
--url https://api.example.com/api/v1/webhooks/{id}/rotate-secretimport requests
url = "https://api.example.com/api/v1/webhooks/{id}/rotate-secret"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/v1/webhooks/{id}/rotate-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/webhooks/{id}/rotate-secret",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/webhooks/{id}/rotate-secret"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/webhooks/{id}/rotate-secret")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/webhooks/{id}/rotate-secret")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body